Package owl.automaton.output

## Enum HoaPrinter.HoaOption

- java.lang.Object
- - java.lang.Enum<HoaPrinter.HoaOption>
  - - owl.automaton.output.HoaPrinter.HoaOption

- All Implemented Interfaces:
    `Serializable`, `Comparable<HoaPrinter.HoaOption>`
  Enclosing class:
    HoaPrinter

      public static enum HoaPrinter.HoaOption
      extends Enum<HoaPrinter.HoaOption>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ANNOTATIONS` | Print annotations, e.g.
    `SIMPLE_TRANSITION_LABELS` | Create one transition for each element of the AP-power-set instead of complex expressions (which are not supported by all parsers).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HoaPrinter.HoaOption` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static HoaPrinter.HoaOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANNOTATIONS

          public static final HoaPrinter.HoaOption ANNOTATIONS

      Print annotations, e.g. state labels, if available

    - #### SIMPLE_TRANSITION_LABELS

          public static final HoaPrinter.HoaOption SIMPLE_TRANSITION_LABELS

      Create one transition for each element of the AP-power-set instead of complex expressions (which are not supported by all parsers).

  - ### Method Detail

    - #### values

          public static HoaPrinter.HoaOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HoaPrinter.HoaOption c : HoaPrinter.HoaOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HoaPrinter.HoaOption valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null